osl::GenerateEscapeKing Struct Reference

`#include <escape_.h>`

## Static Public Member Functions

static void | generate (const NumEffectState &state, MoveVector &out)
| 不成の受けも作成
static void | generateCheap (const NumEffectState &state, MoveVector &out)

## Detailed Description

Definition at line 159 of file escape_.h.

## Member Function Documentation

## generate()

void osl::GenerateEscapeKing::generate | ( | const NumEffectState & | state,
|  | MoveVector & | out )

static

不成の受けも作成

Definition at line 9 of file escape_.cc.

References osl::FixedCapacityVector< T, Capacity >::begin(), osl::FixedCapacityVector< T, Capacity >::end(), osl::move_generator::GenerateEscapeOfTurn::generate(), osl::SimpleState::kingPiece(), osl::FixedCapacityVector< T, Capacity >::push_back(), osl::FixedCapacityVector< T, Capacity >::size(), osl::SimpleState::turn(), and osl::unpromote().

Referenced by osl::NumEffectState::generateLegal(), and osl::rating::FeatureSet::generateRating().

## generateCheap()

void osl::GenerateEscapeKing::generateCheap | ( | const NumEffectState & | state,
|  | MoveVector & | out )

static

Definition at line 28 of file escape_.cc.

References osl::BLACK, osl::move_generator::GenerateEscape< P >::generateCheapKingEscape(), and osl::SimpleState::turn().

The documentation for this struct was generated from the following files:

- escape_.h
- escape_.cc